openSUSE Security Update : irc-otr (openSUSE-2016-1529)

Low Nessus Plugin ID 96176


The remote openSUSE host is missing a security update.


This updates irc-otr to version 1.0.2 and fixes the following issues :

- Only the first line of messages transmitted via OTR sessions was a PRIVMSG and additional data was sent as a raw command to the IRC server (boo#1016942).

- Detect the libotr-emitted HTML-formatted init string and replace it with a description customized for IRC and irssi-otr.


Update the affected irc-otr packages.

See Also

Plugin Details

Severity: Low

ID: 96176

File Name: openSUSE-2016-1529.nasl

Version: $Revision: 3.1 $

Type: local

Agent: unix

Published: 2016/12/29

Modified: 2016/12/29

Dependencies: 12634

Risk Information

Risk Factor: Low

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:irc-otr-debugsource, p-cpe:/a:novell:opensuse:irssi-otr, p-cpe:/a:novell:opensuse:irssi-otr-debuginfo, cpe:/o:novell:opensuse:42.2

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2016/12/28